Create event
POST
/api/projects/{projectid}/events
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"parentId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"organizationId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"organizerId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"locationId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"timeslotId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"eventTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"descriptorId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"code\": \"example\", \"name\": \"example\", \"description\": \"example\", \"notes\": \"example\", \"startDate\": \"2026-04-15T12:00:00Z\", \"startTime\": \"example\", \"endDate\": \"2026-04-15T12:00:00Z\", \"endTime\": \"example\", \"isAllDay\": true, \"location\": \"example\", \"timezone\": \"example\", \"address1\": \"example\", \"address2\": \"example\", \"city\": \"example\", \"state\": \"example\", \"country\": \"example\", \"postalCode\": \"example\", \"latitude\": 1, \"longitude\": 1, \"isVirtual\": true, \"category\": \"example\", \"status\": \"Tentative\", \"approvalStatus\": \"Proposed\", \"publish\": true, \"forceSchedule\": true, \"isDraft\": true, \"baseEventType\": \"Public\", \"priority\": \"Default\", \"visibility\": \"Default\", \"isLocked\": true, \"price\": 1, \"actualAttendance\": 1, \"expectedAttendance\": 1, \"waitlistSize\": 1, \"maximumEventSize\": 1, \"meta\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"parentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","organizationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","organizerId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","locationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","timeslotId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","eventTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","descriptorId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","code":"example","name":"example","description":"example","notes":"example","startDate":"2026-04-15T12:00:00Z","startTime":"example","endDate":"2026-04-15T12:00:00Z","endTime":"example","isAllDay":true,"location":"example","timezone":"example","address1":"example","address2":"example","city":"example","state":"example","country":"example","postalCode":"example","latitude":1,"longitude":1,"isVirtual":true,"category":"example","status":"Tentative","approvalStatus":"Proposed","publish":true,"forceSchedule":true,"isDraft":true,"baseEventType":"Public","priority":"Default","visibility":"Default","isLocked":true,"price":1,"actualAttendance":1,"expectedAttendance":1,"waitlistSize":1,"maximumEventSize":1,"meta":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "locationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "timeslotId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "descriptorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "code": "example", "name": "example", "description": "example", "notes": "example", "startDate": "2026-04-15T12:00:00Z", "startTime": "example", "endDate": "2026-04-15T12:00:00Z", "endTime": "example", "isAllDay": true, "location": "example", "timezone": "example", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "latitude": 1, "longitude": 1, "isVirtual": true, "category": "example", "status": "Tentative", "approvalStatus": "Proposed", "publish": true, "forceSchedule": true, "isDraft": true, "baseEventType": "Public", "priority": "Default", "visibility": "Default", "isLocked": true, "price": 1, "actualAttendance": 1, "expectedAttendance": 1, "waitlistSize": 1, "maximumEventSize": 1, "meta": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”The event values and optional metadata.
Editable event fields for create and partial update.
object
parentId
null | string format: uuid
organizationId
null | string format: uuid
organizerId
null | string format: uuid
locationId
null | string format: uuid
timeslotId
null | string format: uuid
eventTypeId
null | string format: uuid
descriptorId
null | string format: uuid
code
null | string
name
null | string
description
null | string
notes
null | string
startDate
null | string format: date-time
startTime
null | string
endDate
null | string format: date-time
endTime
null | string
isAllDay
boolean
location
null | string
timezone
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
isVirtual
boolean
category
null | string
status
approvalStatus
publish
boolean
forceSchedule
boolean
isDraft
null | boolean
priority
visibility
isLocked
boolean
price
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
expectedAttendance
null | integer | string format: int32
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
meta
null | object
Editable event fields for create and partial update.
object
parentId
null | string format: uuid
organizationId
null | string format: uuid
organizerId
null | string format: uuid
locationId
null | string format: uuid
timeslotId
null | string format: uuid
eventTypeId
null | string format: uuid
descriptorId
null | string format: uuid
code
null | string
name
null | string
description
null | string
notes
null | string
startDate
null | string format: date-time
startTime
null | string
endDate
null | string format: date-time
endTime
null | string
isAllDay
boolean
location
null | string
timezone
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
isVirtual
boolean
category
null | string
status
approvalStatus
publish
boolean
forceSchedule
boolean
isDraft
null | boolean
priority
visibility
isLocked
boolean
price
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
expectedAttendance
null | integer | string format: int32
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
meta
null | object
Editable event fields for create and partial update.
object
parentId
null | string format: uuid
organizationId
null | string format: uuid
organizerId
null | string format: uuid
locationId
null | string format: uuid
timeslotId
null | string format: uuid
eventTypeId
null | string format: uuid
descriptorId
null | string format: uuid
code
null | string
name
null | string
description
null | string
notes
null | string
startDate
null | string format: date-time
startTime
null | string
endDate
null | string format: date-time
endTime
null | string
isAllDay
boolean
location
null | string
timezone
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
isVirtual
boolean
category
null | string
status
approvalStatus
publish
boolean
forceSchedule
boolean
isDraft
null | boolean
priority
visibility
isLocked
boolean
price
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
expectedAttendance
null | integer | string format: int32
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
meta
null | object
Responses
Section titled “Responses”Created
object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
createdByUserId
string format: uuid
modifiedByUserId
null | string format: uuid
organizationId
null | string format: uuid
projectId
string format: uuid
baseType
eventTypeId
null | string format: uuid
eventSettingsId
null | string format: uuid
eventSettingsOverride
boolean
locationId
null | string format: uuid
timeslotId
null | string format: uuid
name
null | string
code
null | string
eid
null | string
location
null | string
description
null | string
notes
null | string
descriptionHtml
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
url
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
iCalUID
null | string
importedCalendarId
null | string
expectedAttendance
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
hasWaitlist
boolean
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
isDeclined
boolean
hasReminder
boolean
useDefaultReminder
boolean
reminderMins
null | integer | string format: int32
status
approvalStatus
visibility
transparency
durationMilliseconds
null | number | string format: double
durationMinutes
null | number | string format: double
durationHours
null | number | string format: double
durationSeconds
null | number | string format: double
start
null | string format: date-time
startTimezone
null | string
hasStartTime
boolean
end
null | string format: date-time
endTimezone
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
utcOffset
null | integer | string format: int32
isAllDay
boolean
isMultiDay
boolean
isLocked
boolean
isRecurring
boolean
recurrenceId
null | string format: uuid
recursUntil
null | string format: date-time
recurrencePattern
null | string
organizerId
null | string format: uuid
creatorIsOrganizer
boolean
priority
sequence
integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
socials
null | string
price
null | integer | string format: int32
currency
null | string
publish
boolean
forceSchedule
boolean
disableScheduling
boolean
isVirtual
boolean
customUrl
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
hEventDescriptorId
null | string format: uuid
isExpired
boolean
numberOfComments
null | integer | string format: int32
reactionSummary
null | string
slug
null | string
locationData
null | string
externalId
null | string
category
null | string
hasChecklist
boolean
checkedInDate
null | string format: date-time
isDraft
null | boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
organizer
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
description
null | string
url
null | string
contactInformation
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
type
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
string format: uuid
name
null | string
code
null | string
description
null | string
baseType
eventSettingsId
null | string format: uuid
hasChecklist
boolean
hasMetaFields
boolean
itemOrder
integer | string format: int32
publish
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
isLocked
boolean
isSubEventType
boolean
subEventLabel
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
timeslot
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
recurrence
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
recurrenceRule
null | string
exclusionRecurrenceRule
null | string
exclusionRecurrenceDate
null | string format: date-time
startDate
null | string format: date-time
endDate
null | string format: date-time
endKind
intervalKind
numberOfRecurrencesToEnd
null | integer | string format: int32
dailyIntervalRepeatNumber
null | integer | string format: int32
weeklyIntervalRepeatNumber
null | integer | string format: int32
montlyIntervalRepeatNumber
null | integer | string format: int32
yearlyIntervalRepeatNumber
null | integer | string format: int32
monthlyRepeatKind
monthlyDOWInterval
null | integer | string format: int32
monthlyWeekInterval
null | integer | string format: int32
yearlyRepeatKind
yearlyDOWInterval
null | integer | string format: int32
yearlyWeekInterval
null | integer | string format: int32
yearlyMonthInterval
null | integer | string format: int32
yearlyMonth
null | integer | string format: int32
yearlyDay
null | integer | string format: int32
dayOfMonth
null | integer | string format: int32
sunday
boolean
monday
boolean
tuesday
boolean
wednesday
boolean
thursday
boolean
friday
boolean
saturday
boolean
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
descriptor
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
itemOrder
integer | string format: int32
hasChecklist
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
locationIds
Array<string> | null
facilitators
Array<object> | null
object
facilitator
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
itemOrder
null | integer | string format: int32
facilitatorTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasRate
boolean
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
virtualInfo
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
url
null | string
externalId
null | string
externalResourceType
null | string
extraInfo
null | string
publish
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
displayMinsAfterStart
null | integer | string format: int32
numMinsToDisplay
null | integer | string format: int32
meta
null | object
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
streamServer
null | string
streamKey
null | string
streamProvider
null | string
liveSourceType
null | string
onDemandSourceType
null | string
providerInputId
null | string
providerRecordingId
null | string
autoPublishRecording
boolean
onDemandPublishAt
null | string format: date-time
reactionEmojis
null | string
securityType
null | string
iframeEnabled
boolean
textChatEnabled
boolean
reactionsEnabled
boolean
videoChatEnabled
boolean
audioChatEnabled
boolean
liveStreamEnabled
boolean
consumerAppId
null | string format: uuid
onDemandEnabled
boolean
onDemandUrl
null | string
livestreamUrl
null | string
externalMeetingUrl
null | string
externalEmbed
null | string
meetingSize
null | integer | string format: int32
message
null | string
success
boolean
status
null | integer | string format: int32
object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
createdByUserId
string format: uuid
modifiedByUserId
null | string format: uuid
organizationId
null | string format: uuid
projectId
string format: uuid
baseType
eventTypeId
null | string format: uuid
eventSettingsId
null | string format: uuid
eventSettingsOverride
boolean
locationId
null | string format: uuid
timeslotId
null | string format: uuid
name
null | string
code
null | string
eid
null | string
location
null | string
description
null | string
notes
null | string
descriptionHtml
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
url
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
iCalUID
null | string
importedCalendarId
null | string
expectedAttendance
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
hasWaitlist
boolean
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
isDeclined
boolean
hasReminder
boolean
useDefaultReminder
boolean
reminderMins
null | integer | string format: int32
status
approvalStatus
visibility
transparency
durationMilliseconds
null | number | string format: double
durationMinutes
null | number | string format: double
durationHours
null | number | string format: double
durationSeconds
null | number | string format: double
start
null | string format: date-time
startTimezone
null | string
hasStartTime
boolean
end
null | string format: date-time
endTimezone
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
utcOffset
null | integer | string format: int32
isAllDay
boolean
isMultiDay
boolean
isLocked
boolean
isRecurring
boolean
recurrenceId
null | string format: uuid
recursUntil
null | string format: date-time
recurrencePattern
null | string
organizerId
null | string format: uuid
creatorIsOrganizer
boolean
priority
sequence
integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
socials
null | string
price
null | integer | string format: int32
currency
null | string
publish
boolean
forceSchedule
boolean
disableScheduling
boolean
isVirtual
boolean
customUrl
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
hEventDescriptorId
null | string format: uuid
isExpired
boolean
numberOfComments
null | integer | string format: int32
reactionSummary
null | string
slug
null | string
locationData
null | string
externalId
null | string
category
null | string
hasChecklist
boolean
checkedInDate
null | string format: date-time
isDraft
null | boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
organizer
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
description
null | string
url
null | string
contactInformation
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
type
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
string format: uuid
name
null | string
code
null | string
description
null | string
baseType
eventSettingsId
null | string format: uuid
hasChecklist
boolean
hasMetaFields
boolean
itemOrder
integer | string format: int32
publish
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
isLocked
boolean
isSubEventType
boolean
subEventLabel
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
timeslot
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
recurrence
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
recurrenceRule
null | string
exclusionRecurrenceRule
null | string
exclusionRecurrenceDate
null | string format: date-time
startDate
null | string format: date-time
endDate
null | string format: date-time
endKind
intervalKind
numberOfRecurrencesToEnd
null | integer | string format: int32
dailyIntervalRepeatNumber
null | integer | string format: int32
weeklyIntervalRepeatNumber
null | integer | string format: int32
montlyIntervalRepeatNumber
null | integer | string format: int32
yearlyIntervalRepeatNumber
null | integer | string format: int32
monthlyRepeatKind
monthlyDOWInterval
null | integer | string format: int32
monthlyWeekInterval
null | integer | string format: int32
yearlyRepeatKind
yearlyDOWInterval
null | integer | string format: int32
yearlyWeekInterval
null | integer | string format: int32
yearlyMonthInterval
null | integer | string format: int32
yearlyMonth
null | integer | string format: int32
yearlyDay
null | integer | string format: int32
dayOfMonth
null | integer | string format: int32
sunday
boolean
monday
boolean
tuesday
boolean
wednesday
boolean
thursday
boolean
friday
boolean
saturday
boolean
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
descriptor
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
itemOrder
integer | string format: int32
hasChecklist
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
locationIds
Array<string> | null
facilitators
Array<object> | null
object
facilitator
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
itemOrder
null | integer | string format: int32
facilitatorTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasRate
boolean
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
virtualInfo
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
url
null | string
externalId
null | string
externalResourceType
null | string
extraInfo
null | string
publish
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
displayMinsAfterStart
null | integer | string format: int32
numMinsToDisplay
null | integer | string format: int32
meta
null | object
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
streamServer
null | string
streamKey
null | string
streamProvider
null | string
liveSourceType
null | string
onDemandSourceType
null | string
providerInputId
null | string
providerRecordingId
null | string
autoPublishRecording
boolean
onDemandPublishAt
null | string format: date-time
reactionEmojis
null | string
securityType
null | string
iframeEnabled
boolean
textChatEnabled
boolean
reactionsEnabled
boolean
videoChatEnabled
boolean
audioChatEnabled
boolean
liveStreamEnabled
boolean
consumerAppId
null | string format: uuid
onDemandEnabled
boolean
onDemandUrl
null | string
livestreamUrl
null | string
externalMeetingUrl
null | string
externalEmbed
null | string
meetingSize
null | integer | string format: int32
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "baseType": "Public", "status": "Tentative", "approvalStatus": "Proposed", "visibility": "Default", "transparency": "Opaque", "priority": "Default", "type": { "baseType": "Public" }, "timeslot": { "timeslotType": "Timeslot" }, "extendedLocation": { "locationKind": "None" }, "recurrence": { "endKind": "Never", "intervalKind": "Never", "monthlyRepeatKind": "Never", "yearlyRepeatKind": "Never" }, "categories": [ { "categoryKind": "Multi" } ], "facilitators": [ { "facilitator": { "facilitatorKind": "Person" } } ] }}object
data
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
createdByUserId
string format: uuid
modifiedByUserId
null | string format: uuid
organizationId
null | string format: uuid
projectId
string format: uuid
baseType
eventTypeId
null | string format: uuid
eventSettingsId
null | string format: uuid
eventSettingsOverride
boolean
locationId
null | string format: uuid
timeslotId
null | string format: uuid
name
null | string
code
null | string
eid
null | string
location
null | string
description
null | string
notes
null | string
descriptionHtml
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
url
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
iCalUID
null | string
importedCalendarId
null | string
expectedAttendance
null | integer | string format: int32
actualAttendance
null | integer | string format: int32
hasWaitlist
boolean
waitlistSize
null | integer | string format: int32
maximumEventSize
null | integer | string format: int32
isDeclined
boolean
hasReminder
boolean
useDefaultReminder
boolean
reminderMins
null | integer | string format: int32
status
approvalStatus
visibility
transparency
durationMilliseconds
null | number | string format: double
durationMinutes
null | number | string format: double
durationHours
null | number | string format: double
durationSeconds
null | number | string format: double
start
null | string format: date-time
startTimezone
null | string
hasStartTime
boolean
end
null | string format: date-time
endTimezone
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
utcOffset
null | integer | string format: int32
isAllDay
boolean
isMultiDay
boolean
isLocked
boolean
isRecurring
boolean
recurrenceId
null | string format: uuid
recursUntil
null | string format: date-time
recurrencePattern
null | string
organizerId
null | string format: uuid
creatorIsOrganizer
boolean
priority
sequence
integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
socials
null | string
price
null | integer | string format: int32
currency
null | string
publish
boolean
forceSchedule
boolean
disableScheduling
boolean
isVirtual
boolean
customUrl
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
hEventDescriptorId
null | string format: uuid
isExpired
boolean
numberOfComments
null | integer | string format: int32
reactionSummary
null | string
slug
null | string
locationData
null | string
externalId
null | string
category
null | string
hasChecklist
boolean
checkedInDate
null | string format: date-time
isDraft
null | boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
organizer
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
description
null | string
url
null | string
contactInformation
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
type
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
string format: uuid
name
null | string
code
null | string
description
null | string
baseType
eventSettingsId
null | string format: uuid
hasChecklist
boolean
hasMetaFields
boolean
itemOrder
integer | string format: int32
publish
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
isLocked
boolean
isSubEventType
boolean
subEventLabel
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
timeslot
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
timeslotType
publish
boolean
start
null | string format: date-time
startTime
null | string
hasStartTime
boolean
end
null | string format: date-time
endTime
null | string
hasEndTime
boolean
startUtc
null | string format: date-time
endUtc
null | string format: date-time
timezone
null | string
startTimezone
null | string
endTimezone
null | string
isAllDay
boolean
isRecurring
boolean
recurrencePattern
null | string
intervalSeconds
null | integer | string format: int32
useForAllEventTypes
boolean
tags
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
recurrence
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
recurrenceRule
null | string
exclusionRecurrenceRule
null | string
exclusionRecurrenceDate
null | string format: date-time
startDate
null | string format: date-time
endDate
null | string format: date-time
endKind
intervalKind
numberOfRecurrencesToEnd
null | integer | string format: int32
dailyIntervalRepeatNumber
null | integer | string format: int32
weeklyIntervalRepeatNumber
null | integer | string format: int32
montlyIntervalRepeatNumber
null | integer | string format: int32
yearlyIntervalRepeatNumber
null | integer | string format: int32
monthlyRepeatKind
monthlyDOWInterval
null | integer | string format: int32
monthlyWeekInterval
null | integer | string format: int32
yearlyRepeatKind
yearlyDOWInterval
null | integer | string format: int32
yearlyWeekInterval
null | integer | string format: int32
yearlyMonthInterval
null | integer | string format: int32
yearlyMonth
null | integer | string format: int32
yearlyDay
null | integer | string format: int32
dayOfMonth
null | integer | string format: int32
sunday
boolean
monday
boolean
tuesday
boolean
wednesday
boolean
thursday
boolean
friday
boolean
saturday
boolean
categories
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
descriptor
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
itemOrder
integer | string format: int32
hasChecklist
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
dti
object
start
null | string format: date-time
end
null | string format: date-time
isUtc
boolean
hasStartTime
boolean
hasEndTime
boolean
formattedStartTime
null | string
formattedEndTime
null | string
formattedTime
null | string
friendlyTimespan
null | string
formattedDay
null | string
formattedDayCompact
null | string
formattedDateTime
null | string
friendlyDate
null | string
timezone
object
id
null | string
hasIanaId
boolean
displayName
null | string
standardName
null | string
daylightName
null | string
baseUtcOffset
string
supportsDaylightSavingTime
boolean
timezoneId
null | string
days
Array<object> | null
object
formattedDay
null | string
formattedDateTime
null | string
friendlyDate
null | string
locationIds
Array<string> | null
facilitators
Array<object> | null
object
facilitator
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
itemOrder
null | integer | string format: int32
facilitatorTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasRate
boolean
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
virtualInfo
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
url
null | string
externalId
null | string
externalResourceType
null | string
extraInfo
null | string
publish
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
displayMinsAfterStart
null | integer | string format: int32
numMinsToDisplay
null | integer | string format: int32
meta
null | object
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
streamServer
null | string
streamKey
null | string
streamProvider
null | string
liveSourceType
null | string
onDemandSourceType
null | string
providerInputId
null | string
providerRecordingId
null | string
autoPublishRecording
boolean
onDemandPublishAt
null | string format: date-time
reactionEmojis
null | string
securityType
null | string
iframeEnabled
boolean
textChatEnabled
boolean
reactionsEnabled
boolean
videoChatEnabled
boolean
audioChatEnabled
boolean
liveStreamEnabled
boolean
consumerAppId
null | string format: uuid
onDemandEnabled
boolean
onDemandUrl
null | string
livestreamUrl
null | string
externalMeetingUrl
null | string
externalEmbed
null | string
meetingSize
null | integer | string format: int32
message
null | string
success
boolean
status
null | integer | string format: int32
Example
{ "data": { "baseType": "Public", "status": "Tentative", "approvalStatus": "Proposed", "visibility": "Default", "transparency": "Opaque", "priority": "Default", "type": { "baseType": "Public" }, "timeslot": { "timeslotType": "Timeslot" }, "extendedLocation": { "locationKind": "None" }, "recurrence": { "endKind": "Never", "intervalKind": "Never", "monthlyRepeatKind": "Never", "yearlyRepeatKind": "Never" }, "categories": [ { "categoryKind": "Multi" } ], "facilitators": [ { "facilitator": { "facilitatorKind": "Person" } } ] }}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}